//
//  ViewController.swift
//  AppleMapKit
//
//  Created by louis on 9/7/2015.
//  Copyright (c) 2015年 louis. All rights reserved.
//

import UIKit
import MapKit

class ViewController: UIViewController {

    @IBOutlet weak var mapView: MKMapView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // set initial location in Honolulu lat: 21.282778, long: -157.829444
        // set initial location in Macau    lat: 22.160000, long: 113.560000
        // set initial location in HK       lat: 22.280000, long: 114.180000
        // set initial location in Beijing  lat: 39.920000, long: 116.380000
        // set initial location in London   lat: 51.300000, long:   0.000000
        let initialLocation = CLLocation(latitude: 21.282778, longitude: -157.829444)
    
        // Zoom into initialLocation
        let regionRadius: CLLocationDistance = 50000
        func centerMapOnLocation(location: CLLocation) {
            let coordinateRegion = MKCoordinateRegionMakeWithDistance(location.coordinate,
                regionRadius * 2.0, regionRadius * 2.0)
            mapView.setRegion(coordinateRegion, animated: true)
        }
    
        // show the location
        centerMapOnLocation(initialLocation)

    }
/*
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
*/

}

